Package org.apache.storm.scheduler.resource

# Class User

java.lang.Object
org.apache.storm.scheduler.resource.User

public class User extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `User(String userId)`
  `User(String userId, Map<String,Double> resourcePool)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `double`
  `getCpuResourceGuaranteed()`
  `double`
  `getCpuResourcePoolUtilization(ISchedulingState cluster)`
  `double`
  `getCpuResourceRequest(ISchedulingState cluster)`
  `double`
  `getCpuResourceUsedByUser(ISchedulingState cluster)`
  `Map<String,Double>`
  `getGenericGuaranteed()`
  `String`
  `getId()`
  `double`
  `getMemoryResourceGuaranteed()`
  `double`
  `getMemoryResourcePoolUtilization(ISchedulingState cluster)`
  `double`
  `getMemoryResourceRequest(ISchedulingState cluster)`
  `double`
  `getMemoryResourceUsedByUser(ISchedulingState cluster)`
  `TopologyDetails`
  `getNextTopologyToSchedule(ISchedulingState cluster)`
  `TreeSet<TopologyDetails>`
  `getPendingTopologies(ISchedulingState cluster)`
  `double`
  `getResourcePoolAverageUtilization(ISchedulingState cluster)`
  `TreeSet<TopologyDetails>`
  `getRunningTopologies(ISchedulingState cluster)`
  `TopologyDetails`
  `getRunningTopologyWithLowestPriority(ISchedulingState cluster)`
  `int`
  `hashCode()`
  `boolean`
  `hasTopologyNeedSchedule(ISchedulingState cluster)`
  `void`
  `markTopoUnsuccess(TopologyDetails topo)`
  `void`
  `markTopoUnsuccess(TopologyDetails topo, Cluster cluster, String msg)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### User

    public User(String userId)

  - ### User

    public User(String userId, Map<String,Double> resourcePool)

- ## Method Details

  - ### getId

    public String getId()

  - ### getRunningTopologies

    public TreeSet<TopologyDetails> getRunningTopologies(ISchedulingState cluster)

  - ### getPendingTopologies

    public TreeSet<TopologyDetails> getPendingTopologies(ISchedulingState cluster)

  - ### markTopoUnsuccess

    public void markTopoUnsuccess(TopologyDetails topo, Cluster cluster, String msg)

  - ### markTopoUnsuccess

    public void markTopoUnsuccess(TopologyDetails topo)

  - ### getResourcePoolAverageUtilization

    public double getResourcePoolAverageUtilization(ISchedulingState cluster)

  - ### getCpuResourcePoolUtilization

    public double getCpuResourcePoolUtilization(ISchedulingState cluster)

  - ### getMemoryResourcePoolUtilization

    public double getMemoryResourcePoolUtilization(ISchedulingState cluster)

  - ### getMemoryResourceRequest

    public double getMemoryResourceRequest(ISchedulingState cluster)

  - ### getCpuResourceRequest

    public double getCpuResourceRequest(ISchedulingState cluster)

  - ### getCpuResourceUsedByUser

    public double getCpuResourceUsedByUser(ISchedulingState cluster)

  - ### getMemoryResourceUsedByUser

    public double getMemoryResourceUsedByUser(ISchedulingState cluster)

  - ### getMemoryResourceGuaranteed

    public double getMemoryResourceGuaranteed()

  - ### getCpuResourceGuaranteed

    public double getCpuResourceGuaranteed()

  - ### getGenericGuaranteed

    public Map<String,Double> getGenericGuaranteed()

  - ### getNextTopologyToSchedule

    public TopologyDetails getNextTopologyToSchedule(ISchedulingState cluster)

  - ### hasTopologyNeedSchedule

    public boolean hasTopologyNeedSchedule(ISchedulingState cluster)

  - ### getRunningTopologyWithLowestPriority

    public TopologyDetails getRunningTopologyWithLowestPriority(ISchedulingState cluster)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`